Skip to main content
POST
Send file upload chunk

Path Parameters

id
string
required

Volume ID

Query Parameters

resumableChunkNumber
integer
required

Number of the current chunk

resumableTotalChunks
integer
required

Total number of chunks of the file to upload

resumableIdentifier
string
required

Unique identifier for the file to upload

key
string
required

Unique identifier for this upload session

resumableRelativePath
string
required

Path of the file to upload relative to the root directory being uploaded if applicable, or the file name

resumableChunkSize
integer
required

Size in bytes of one standard (not last) upload chunk

resumableCurrentChunkSize
integer
required

Size in bytes of the current upload chunk

checksum
string
required

Checksum of the file to upload

Body

application/x-www-form-urlencoded
file
file
required

File to upload

Response

upload session key

The response is of type string.

Last modified on August 18, 2026